package com.ss.android.ugc.aweme.legoImp;

import X.2rI;
import X.6iy;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9EH;
import X.9Ft;
import X.9Fx;
import X.C0863KKg;
import X.KJ1;
import X.KJL;
import X.KLI;
import X.KMB;
import X.M12;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.keva.Keva;
import com.ss.android.deviceregister.DeviceRegisterManager;
import java.util.List;

public final class BDXBridgeInitTask implements 8Ze {
    public final 8ec LIZ;

    static {
        Covode.recordClassIndex(90326);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1048575;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public final 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public final 8ec type() {
        return this.LIZ;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public BDXBridgeInitTask(8ec r1) {
        M12.LIZ((Object) r1);
        this.LIZ = r1;
    }

    public final void run(Context context) {
        boolean z;
        C0863KKg kKg = new C0863KKg(new KJL(), new KMB(DeviceRegisterManager.getDeviceId(), String.valueOf(9EH.LJIILJJIL), String.valueOf(9EH.LJJIFFI.LJII()), String.valueOf(9EH.LJJIFFI.LIZLLL()), 9EH.LJIJI, 32), 6iy.LIZ("https://mon.isnssdk.com/monitor/collect/"), 6iy.LIZ("https://mon.isnssdk.com/monitor/appmonitor/v2/settings"));
        M12.LIZ((Object) kKg);
        KJL.LJ = kKg;
        KJL.LJIIIZ.LIZ(KLI.LIZ);
        boolean z2 = true;
        if (Keva.getRepo("ab_repo_cold_boot").getInt("use_BDXBridgeSDK", 0) == 1) {
            z = true;
        } else {
            z = false;
        }
        KJL.LJFF = z;
        if (Keva.getRepo("ab_repo_cold_boot").getInt("use_BDXBridgeSDK_lynx", 0) != 1) {
            z2 = false;
        }
        KJL.LJI = z2;
        if (2rI.LIZ.LIZ.enableBoe() && 2rI.LIZ.LIZ.enableBoeJsbBypass()) {
            KJ1.LIZLLL = false;
        }
    }
}
